# issue authentication token

## issue authentication token

<mark style="color:green;">`POST`</mark> `https://docs.esignon.net/api/:companyId/login`&#x20;

When using eSignon API, an authentication token is absolutely required. This API issues the required user's authentication token.( accesstoken )

#### Path Parameters

| Name      | Type   | Description |
| --------- | ------ | ----------- |
| companyId | string | Company ID  |

#### Headers

| Name         | Type   | Description      |
| ------------ | ------ | ---------------- |
| Content-Type | string | application/json |

#### Request Body

| Name                 | Type   | Description   |
| -------------------- | ------ | ------------- |
| header               | object |               |
| header.request\_code | string | 1001Q         |
| body                 | object |               |
| body.memb\_email     | string | User email    |
| body.memb\_pwd       | string | User password |

{% tabs %}
{% tab title="200 성공" %}

```javascript
{
  "header": {
    "response_code": "1001A",
    "result_code": "00",
    "result_msg": "You have successfully logged in.",
    "session_id": ""
  },
  "body": {
    "access_token": "{accesstoken}",
    "comp_id": "{Company ID}",
    "device_id": "{Device ID}",
    "expire_date": "{Expired}",
    "memb_email": "{User email}"
  }
}
```

{% endtab %}
{% endtabs %}

## Request Body Example

```javascript
{
  "header": {
    "request_code": "1001Q",
  },
  "body": {
    "memb_email": "{User email}",
    "memb_pwd": "{User password}",
  }
}
```

## Response Body Example

```javascript
{
  "header": {
    "response_code": "1001A",
    "result_code": "00",
    "result_msg": "You have successfully logged in.",
    "session_id": ""
  },
  "body": {
    "access_token": "{accesstoken}",
    "comp_id": "{Company ID}",
    "device_id": "{Device ID}",
    "expire_date": "{Expired}",
    "memb_email": "{User email}"
  }
}
```

## Response Body  header.result\_code

| Code | **Description** | **Reference**                                                                     |
| ---- | --------------- | --------------------------------------------------------------------------------- |
| 00   | success         | success                                                                           |
| 10   | Fail            | Your login information is incorrect.                                              |
| 12   | Fail            | Parsing failed because the body information of the received message is incorrect. |
| 95   | Fail            | The company is unable to call the API. Please contact the customer center.        |
| 99   | Fail            | Unexpected exception (incorrect format)                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.esignon.net/eng-1/issued/token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
